package com.openhis.web.inhospitalnursestation.controller;

import com.core.common.core.domain.R;
import com.openhis.web.regdoctorstation.dto.RegAdviceSaveParam;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author whm
 * @date 2025/11/10 16:00
 * @description 住院护士 患者划价、医嘱计费
 */

@RestController
@RequestMapping("/inhospitalnursestation/innursebilling")
@Slf4j
@AllArgsConstructor
public class NurseBillingController {
    // TODO: Implement InNurseBillingController
    /*
     * 新增住院护士划价
     * @return
     */
    public R<?> addInNurseBilling(RegAdviceSaveParam regAdviceSaveParam) {
        return R.ok();
    }
    /*
     * 住院护士 划价列表 根据护士encounterId查询
     * @return
     */
    public  R<?> getBillingListByEncounterId() {
        return R.ok();
    }
    /*
     * 住院护士撤销划价
     * @return
     */
    public  R<?> deleteInNurseBilling() {
        return R.ok();
    }
    /*
     * 医嘱计费添加 诊疗 耗材
     */
    public  R<?> addOrderBilling() {
        return R.ok();
    }
    /*
     * 医嘱计费删除 诊疗 耗材
     */
    public  R<?> deleteOrderBilling() {
        return R.ok();
    }
    /*
     * 医嘱计费修改 诊疗 耗材
     */
    public  R<?> updateOrderBilling() {
        return R.ok();
    }
    /*
     根据医嘱id查询已计费的 耗材列表
     * @return
     */
    public  R<?> getOrderBillingByRequestId() {
        return R.ok();
    }

}
